Bug 1278758 - docker container doesn't inherit release version from host.
docker container doesn't inherit release version from host.
Status: CLOSED NOTABUG
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Container Management (Show other bugs)
6.1.3
x86_64 Linux
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-06 06:08 EST by Christophe Augello
Modified: 2017-01-26 09:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-26 09:18:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christophe Augello 2015-11-06 06:08:33 EST
Description of problem:

docker container doesn't inherit release version from host.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. create a CV with all repos need for docker (base 7.1 + extras + optional + docker images from rhel registry)
2. register a content host with release set to 7.1
3. assign cv to content-host + install docker
4. deploy a rhel container from registry
docker run -i -t satellite:5000/red_hat-engineering-ccv-rhel7-docker_image1-rhel /bin/bash
5. inside the container:
yum repolist 


Actual results:

The container will use 7Server as release.

Expected results:

The container repos inherit the release from host.

Additional info:

Docker host:
~~~
Repo-id      : rhel-7-server-rpms/x86_64
Repo-baseurl : https://satellite/pulp/repos/Red_Hat/Library/RHEL71/content/dist/rhel/server/7/7.1/x86_64/os
~~~

Container:
~~~
[rhel-7-server-rpms]
baseurl = https://satellite/pulp/repos/Red_Hat/Library/RHEL71/content/dist/rhel/server/7/$releasever/$basearch/os
~~~
Comment 1 Christophe Augello 2015-11-06 06:12:40 EST
Yum command will return 404 as CV has 7.1 channel:
~~~
[root@34ee5363e594 /]# yum repolist
Loaded plugins: product-id, subscription-manager
https://satellite/pulp/repos/Red_Hat/Library/RHEL71/content/dist/rhel/server/7/7Server/x86_64/os/repodata/repomd.xml: [Errno 14] HTTPS Error 404 - Not Found
Trying other mirror.
https://satellite/pulp/repos/Red_Hat/Library/RHEL71/content/dist/rhel/server/7/7Server/x86_64/os/repodata/repomd.xml: [Errno 14] HTTPS Error 404 - Not Found
Trying other mirror.
repo id                                 repo name                                       status
rhel-7-server-rpms/7Server/x86_64       Red Hat Enterprise Linux 7 Server (RPMs)        0
repolist: 0
~~~

When release is set during command:
~~~
[root@34ee5363e594 /]# yum --releasever=7.1 repolist
Loaded plugins: product-id, subscription-manager
rhel-7-server-rpms                                                                                                                                                     | 2.1 kB  00:00:00     
(1/3): rhel-7-server-rpms/7.1/x86_64/group                                                                                                                             | 505 kB  00:00:00     
(2/3): rhel-7-server-rpms/7.1/x86_64/updateinfo                                                                                                                        | 1.3 MB  00:00:00     
(3/3): rhel-7-server-rpms/7.1/x86_64/primary                                                                                                                           | 7.3 MB  00:00:00     
rhel-7-server-rpms                                                                                                                                                                  7598/7598
repo id                                                                                repo name                                                                                        status
!rhel-7-server-rpms/7.1/x86_64                                                         Red Hat Enterprise Linux 7 Server (RPMs)                                                         7598
repolist: 7598
~~~
Comment 5 Bryan Kearney 2016-07-26 15:10:24 EDT
Moving 6.2 bugs out to sat-backlog.

Note You need to log in before you can comment on or make changes to this bug.